## ide-search-engine

ide-search-engine

## Functions

IdeSearchContext * | ide_search_engine_search ()

## Types and Values

#define | IDE_TYPE_SEARCH_ENGINE
| IdeSearchEngine

## Description

## Functions

### ide_search_engine_search ()

    IdeSearchContext *
    ide_search_engine_search (IdeSearchEngine *self,
                              const gchar *search_terms);

Begins a query against the requested search providers.

If `providers` is `NULL`, all registered providers will be used.

#### Parameters

search_terms | The search terms. |

#### Returns

An IdeSearchContext or `NULL` if no providers could be loaded.

[transfer full][nullable]

## Types and Values

### IDE_TYPE_SEARCH_ENGINE

    #define IDE_TYPE_SEARCH_ENGINE (ide_search_engine_get_type())

### IdeSearchEngine

    typedef struct _IdeSearchEngine IdeSearchEngine;